# Class CIM_ThresholdIndication
extends CIM_AlertIndication

A subclass of CIM_AlertIndications carrying additional threshold information related to the notification. This subclass is used when one of the ProbableCauses is set to 53, "Threshold Crossed".

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_ProcessIndication
|
+--CIM_AlertIndication
|
+--CIM_ThresholdIndication

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass of CIM_AlertIndications carrying additional threshold information related to the notification. This subclass is used when one of the ProbableCauses is set to 53, "Threshold Crossed".
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ObservedValue | string |
Description | string | A string holding the current reading value that exceeds the threshold. This is modeled as a string for universal mapping, similar to the CIM_Sensor properties in the Device Model.
MappingStrings | string | Recommendation.ITU|X733.Threshold information
ThresholdIdentifier | string |
Description | string | A string describing the threshold or naming the property that represents the threshold, if modeled in the CIM hierarchy. In the latter case, the value should be written as <schema name>_ <class name>.<property name>.
MappingStrings | string | Recommendation.ITU|X733.Threshold information
ThresholdValue | string |
Description | string | A string holding the current value of the threshold. This is modeled as a string for universal mapping, similar to the CIM_Sensor properties in the Device Model.
MappingStrings | string | Recommendation.ITU|X733.Threshold information

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AlertingElementFormat | uint16 | CIM_AlertIndication
AlertingManagedElement | string | CIM_AlertIndication
AlertType | uint16 | CIM_AlertIndication
Description | string | CIM_AlertIndication
EventID | string | CIM_AlertIndication
EventTime | datetime | CIM_AlertIndication
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
Message | string | CIM_AlertIndication
MessageID | string | CIM_AlertIndication
OtherAlertingElementFormat | string | CIM_AlertIndication
OtherAlertType | string | CIM_AlertIndication
OtherSeverity | string | CIM_Indication
OwningEntity | string | CIM_AlertIndication
PerceivedSeverity | uint16 | CIM_AlertIndication
ProbableCause | uint16 | CIM_AlertIndication
ProbableCauseDescription | string | CIM_AlertIndication
ProviderName | string | CIM_AlertIndication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
SystemCreationClassName | string | CIM_AlertIndication
SystemName | string | CIM_AlertIndication
Trending | uint16 | CIM_AlertIndication
CorrelatedIndications | string[] | CIM_Indication
MessageArguments | string[] | CIM_AlertIndication
RecommendedActions | string[] | CIM_AlertIndication

## Class Methods